#if !defined(AFX_APLLOTDLG_H__BAC2017E_D3DA_42D0_87CE_5A2F40250627__INCLUDED_)
#define AFX_APLLOTDLG_H__BAC2017E_D3DA_42D0_87CE_5A2F40250627__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplLotDlg.h : header file
//
#include "resource.h"
#include <apl_gui.h>
#include "apl_api.h"

#include "aplCharactView.h"
#include "aplApprovalView.h"
#include "aplDocsView.h"
#include "aplAccessView.h"


/////////////////////////////////////////////////////////////////////////////
// CaplLotDlg dialog

class CaplLotDlg : public CaplResizableDialog
{
// Construction
public:
	CaplLotDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CaplLotDlg)
	enum { IDD = IDD_LOT };
	CEdit		m_prd_name_ctrl;
	CEdit		m_prd_id_ctrl;
	CEdit		m_pdf_id_ctrl;
	CComboBox	m_unit_ctrl;
	CaplButton	m_cancel_btn;
	CaplButton	m_ok_btn;
	CButton		m_pdf_del_ctrl;
	CButton		m_pdf_browse_ctrl;
	CString		m_lot_id;
	double		m_lot_size;
	CString		m_pdf_id;
	CString		m_prd_id;
	CString		m_prd_name;
	CString		m_lot_descr;
	CaplTabCtrl	m_Tab;
	CaplButton	m_bPropsProps;
	CaplButton	m_bPropsDel;
	CaplButton	m_bPropsAdd;
	//}}AFX_DATA

	CaplAPI *m_api;
	CaplInstance *m_pdf, *m_lot, *m_unit,*m_parent_lot;

	CString			m_csAccessString;

	BOOL			SetAnchors(void);
	BOOL			InitViews(void);
	void			ChangeViewBtnsState(BOOL bDis,BOOL bHide);
	void			GetAccessString(void);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplLotDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

	// Generated message map functions
	//{{AFX_MSG(CaplLotDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPdfBrowse();
	afx_msg void OnPdfDel();
	virtual void OnOK();
	afx_msg void OnSelchangeTab1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBPropsAdd();
	afx_msg void OnBPropsDel();
	afx_msg void OnBPropsProps();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLLOTDLG_H__BAC2017E_D3DA_42D0_87CE_5A2F40250627__INCLUDED_)
